Last Comment Bug 6414 - XUL-based UI: fail to render non-English text in menu & menuitems
: XUL-based UI: fail to render non-English text in menu & menuitems
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: All All
: P3 blocker (vote)
: M10
Assigned To: saari (gone)
: blee
Mentors:
Depends on: 11724
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-05-14 11:30 PDT by tao
Modified: 1999-08-30 16:45 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
The navigator.xul, which contains JA text, used to produce the problem (33.13 KB, text/xul)
1999-05-14 11:32 PDT, tao
no flags Details

Description tao 1999-05-14 11:30:14 PDT
On apr-27-99's build, apprunner failed to render non-English text
in menu & menuitems.

To reproduce it, you'll need to set up your workstation to support
non-ascii font if they are not there yet. I was told that this is a
known problem. If so, please make it a dup.

Shall you need assistance in reproducing the problem, feel free to
contact me or momoi.

Thanks
Comment 1 tao 1999-05-14 11:32:59 PDT
Created attachment 182 [details]
The navigator.xul, which contains JA text, used to produce the problem
Comment 2 Katsuhiko Momoi 1999-05-14 14:19:59 PDT
My sample translations of Menu and Menuitems are showing

correctly as Japanese with 5/7/99 Win32 M6 build.

I
Comment 3 Katsuhiko Momoi 1999-05-14 15:50:59 PDT
My sample .xul file was used on Japanese Windows and where these
Japanese characters will be displayed correctly. But this is not
true on US Windows or any other language Windows since the menus are
using Native widgets.
So this still remains a problem.ˇ
Comment 4 tao 1999-05-14 16:13:59 PDT
Changing QA contact to myself
Comment 5 bobj 1999-05-14 16:20:59 PDT
This also affects having international data in the menus for
  Go, Bookmarks and What's Related

Book Marks and What's Related sill display correctly in the sidebar,
but without this fix, they will display as garbage in the menus.
Comment 6 Peter Trudelle 1999-05-14 17:06:59 PDT
reassigning to saari
Comment 7 tao 1999-05-25 15:00:59 PDT
Hi, Saai:

Would you please consider fixing this problem by M7? L10n group will start
 localization work by M7. Please feel free to let us know if we can be of any
 help.


Thanks
Comment 8 saari (gone) 1999-05-25 15:38:59 PDT
Yep, I'll take a look.
Comment 9 saari (gone) 1999-05-25 16:27:59 PDT
So what should menus do when they have international text on a non-international
system? (I don't even know if MacOS for example can do this at all)

In particular is there a different OS call I should be making?
Comment 10 tague 1999-06-02 00:38:59 PDT
see bug #5402 for a patch to fix this on the mac.
Comment 11 saari (gone) 1999-06-07 19:18:59 PDT
This is a dup 5402 and should be fixed now...
Comment 12 tao 1999-06-07 19:28:59 PDT
Does this mean the problem is fixedon Linux as well? How about other native
widgets such as FilePicker and others/
Comment 13 Erik van der Poel 1999-06-07 19:32:59 PDT
No, Tague fixed it for the Mac only. This bug report is for all platforms, but
it would be easier to process if it was for a single platform. This bug report
is for menus and menu items, not the file picker and others.
Comment 14 saari (gone) 1999-06-07 19:46:59 PDT
Menus should be ok on Windows and Mac now. GTK doesn't have international support
yet, and won't until 1.4 or so.
Comment 15 Katsuhiko Momoi 1999-06-07 20:00:59 PDT
In that case, we should keep this bug open until Linux issue is
resolved.
Comment 16 Katsuhiko Momoi 1999-06-07 20:04:59 PDT
erik, is there a workaround for this? Can we not display Japanese
menu/menu items using native widgets there with the assumption that
the .xul file is in UTF-8.
Comment 17 Erik van der Poel 1999-06-07 20:16:59 PDT
GTK does not support Unicode directly. It may do so in 1.3/1.4. In the meantime,
we are first going to support the current locale (e.g. Japanese), and maybe in
the future multilingual menus if possible. Japanese does not work in Mozilla
GTK menus yet.
Comment 18 saari (gone) 1999-06-15 14:36:59 PDT
pushing to M8 to keep on the near term radar
Comment 19 saari (gone) 1999-07-06 17:12:59 PDT
Still an issue, but setting target M10
Comment 20 saari (gone) 1999-08-25 12:11:59 PDT
Ok, Mac menus are as internationalized as they are going to get, and we have
XPMenus on the other platforms that should be international safe.

Marking fixed.
Comment 21 tao 1999-08-25 12:42:59 PDT
There is a XML parser problem in M9 that will cause Mozilla to crash
in loading UTF-8 encoded DTD files. Therefore, I won't be able to verify
this fix until that bug is fixed.
Comment 22 tao 1999-08-30 13:43:59 PDT
Verified on Linux and NT builds. Reassign QA contact to Bom-Sheek to verify it
on Mac.
Comment 23 blee 1999-08-30 16:45:59 PDT
Verified fixed in 1999-08-30-09-M10 Mac bld.

Note You need to log in before you can comment on or make changes to this bug.